GETDTABLESIZE(2)

NAME
getdtablesize - get descriptor table size

SYNOPSIS
getdtablesize()

DESCRIPTION

The call getdtablesize() returns the current value of the soft limit component of the RLIMIT_NOFILE resource limit. This resource limit governs the maximum value allowable as the index of a newly created descriptor.

WARNINGS
getdtablesize is implemented as a system call only for binary compatibility with previous releases.

Because of possible intervening getrlimit(2) calls affecting RLIMIT_NOFILE , repeated calls to getdtablesize() may return different values. Thus it is unwise to cache the return value in an effort to avoid system call overhead, unless it is known that such intervening calls do not occur.

SEE ALSO
close(2V), dup(2V), getrlimit(2), open(2V)